
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 2000</TITLE>
</HEAD>

<BODY BGCOLOR=3D"#FFFFFF">

<H1 ALIGN=3DCENTER>JFLA 2000: relecture du papier 13</H1>

<P>Num\'ero du papier: 13
<P>Titre du papier: Une Plate Forme Logique de Sp\'ecification et de Pr=
euve de
Programmes ML
<P>Auteurs: Sylvain Baro

<P>Nom du rapporteur: Catherine Parent-Vigouroux

<P>Confiance en la note: 3
<!-- 1 : je n'ai pas compris car ce n'est pas mon domaine.
     2 : j'ai compris, mais je ne domine pas le sujet.
     3 : j'ai tout compris car c'est mon domaine. -->

<P>Notation du papier: 3
<!-- 1 : a rejeter; 2 : ininteressant; 3 : acceptable;
     4 : bon papier; 5: tres bon papier -->

<P>Commentaires aux auteurs:<P>

<P>Le but est d'avoir une plate-forme logique de preuves de programmes
ML qui soit d'usage "ais\'e". Or, aucun exemple n'est montr\'e. Avec
uniquement cette pr\'esentation, on a bien du mal \`a se convaincre qu'=
on
va effectivement avoir un syst\`eme ais\'e \`a utiliser et surtout \`a =
voir
comment on va l'utiliser.

<P>La pr\'esentation contient un grand nombre de notations et de r\`egl=
es
dont les plus compliqu\'ees ne sont que peu ou pas expliqu\'ees (il
faudrait en rajouter, cf remarques pr\'ecises \`a la suite).

<P>Enfin, des travaux autour du m=EAme sujet ont d\'ej\`a \'et\'e faits=
, certes
\`a l'ordre sup\'erieur, dans Coq et il serait int\'eressant d'en avoir=
 une
comparaison.

<P>Ci-suivent des remarques point par point, notamment beaucoup sur
l'orthographe mais aussi demandes d'explications ou corrections :

<P>p1, par.1 : on entends --> on entend
<P>p2, par.3 : tout les \'el\'ements --> tous les \'el\'ements
               <P>"pas forc\'ement classique minimale de logique" :
               qu'est-ce que =E7a veut dire ?
<P>p2, par.4 : d'ordre sup\'erieures --> d'ordre sup\'erieur
<P>p2, dernier par. : un ensemble de variable --> un ensemble de variab=
les
                      <P>On d\'efini --> On d\'efinit
<P>p3, par.1 : filtage universel --> filtrage universel
<P>p3, def.2 : appartiens --> appartient (deux fois)
               <P>syst\`eme de type --> syst\`eme de types
<P>p3, exemple : la d\'efinitions --> la d\'efinition
<P>p4, par.2 : toute les fonctions --> toutes les fonctions
               <P>se verra pr\'esent\'e --> se verra pr\'esenter
               <P>s=FBr le type inf\'er\'e --> sur le type inf\'er\'e
<P>p4, par.3 : langage utilis\'e --> langage de sp\'ecification et de p=
reuve utilis\'e
<P>p4, par.4 : syst\`eme de type --> syst\`eme de types
<P>p4, par.5 : liste de substitution --> liste de substitutions
<P>p4, r\`egle du Match : manquent des explications
<P>p5, remarque : la d\'efinitions --> la d\'efinition
<P>p5, par.4 : comme terme --> comme termes
<P>p5, par.5 : ajouter des explications sur l'ensemble des valeurs et
leur notation. On comprend en fait plus loin mais une explication ici
serait la bienvenue.
<P>p5, par.6 : celle red\'efinie --> celles red\'efinies
<P>p6, par.1 : liste de substitution --> liste de substitutions
<P>p6, formules : celle correspondant --> celles correspondant
                  <P>On d\'efini --> On d\'efinit
                  <P>Au premier point, que vient faire le tau la-dedans=
 ?

<P>p7 : est-il n\'ecessaire ici de remettre toutes les r\`egles de la
d\'eduction naturelle ? Peut-=EAtre serait-il mieux de mettre uniquemen=
t
celles de l'\'evaluation et de pouvoir alors prendre plus de temps pour=

expliquer.
<P>p8, par.1 : On d\'efini --> On d\'efinit
<P>p8, extensionnalit\'e : raccrocher P : tau -> Prop et la ligne pr\'e=
c\'edente.
<P>p8, par.5 : type de donn\'ee --> type de donn\'ees
<P>p8, par.6 : type de donn\'ee --> type de donn\'ees
               <P>rajouter des explications pour la r\`egle de r\'ecurr=
ence.
<P>p9, par.1 : annoncer --> \'enoncer
<P>p9, par.5 : occurrences de tau dans tau dans tau_i --> occurrences d=
e tau dans tau_i
<P>p9, par.7 : constructions suivante --> construction suivante
<P>p9, par.8 : simples et proche --> simples et proches
<P>p9, dernier par. : celle n'en ayant pas --> celles n'en ayant pas
<P>p10, par.1 : if --> si
<P>p10, r\`egles pour le point fixe : explications \`a rajouter absolum=
ent !
<P>p10, fin : On se servira des ces --> On se servira de ces
<P>p11, prop.1 : type de donn\'ee --> type de donn\'ees
                 <P>B(f x1 ... x)) --> B(f x1 ... xn)
<P>p12, def. de phi : explications \`a rajouter !
<P>p13, d\'ebut : fin de la premi\`ere phrase incompr\'ehensible.
<P>p13, prop.4 : respectera --> respecteront
<P>p13, par.3 : raccrocher la formule \`a "sous la forme".
<P>p13, termes : on obtiens --> on obtient
                 <P>ajouter une virgule apr\`es (t1 t2)
                 <P>Ajouter un point entre em' et Ensuite
<P>p13, formules : tr\`es simple --> tr\`es simples
<P>p14, par.5 : ne pourront --> ne pourrons
<P>p14, lemme 2 : les m=EAme valeurs --> les m=EAmes valeurs
                  <P>du contextes --> du contexte
<P>p14, preuve prop.5 : hypoth\`ese d'induction --> hypoth\`eses d'indu=
ction
                        <P>On conclue --> On conclut
<P>p15 : type de donn\'ee --> type de donn\'ees
<P>p15, conclusion : la premi\`ere phrase parle d'usage ais\'e. Ce but
est-il atteint ou pas ? Si oui, comment et pourquoi ?


<P>Commentaires r\'eserv\'es au comit\'e de programme:<P>

Le papier est tr\`es difficile \`a lire : \'enorm\'ement de notations, 
peu d'explications avec l'introduction de notations ou de d\'efinitions. Le
3 de confiance de la note veut donc dire ici : il s'agit de mon
domaine mais j'ai eu du mal \`a comprendre le papier quand m=EAme. Le but
est d'avoir une plate-forme logique de preuves de programmes ML qui
soit d'usage "ais\'e". Or, aucun exemple n'est montr\'e. Avec uniquement
 cette pr\'esentation, on a bien du mal \`a se convaincre qu'on va
effectivement avoir un syst\`eme ais\'e \`a utiliser et surtout \`a voir
comment on va l'utiliser. De plus, aucune comparaison n'est faite avec
des travaux tr\`es similaires, faits par exemple dans Coq. Enfin, une
quantit\'e de fautes d'orthographe impressionnante (d\'etail \'enervant).

</BODY>
</HTML>

